summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorCaleb Tennis <caleb@gentoo.org>2005-11-17 13:48:46 +0000
committerCaleb Tennis <caleb@gentoo.org>2005-11-17 13:48:46 +0000
commitb380d21a6b8d72840b1d915572c81a04868976f5 (patch)
treee51af5d144128695f8824c3baf6012b9d772c165 /eclass/qt4.eclass
parentMarked ~amd64. (diff)
downloadgentoo-2-b380d21a6b8d72840b1d915572c81a04868976f5.tar.gz
gentoo-2-b380d21a6b8d72840b1d915572c81a04868976f5.tar.bz2
gentoo-2-b380d21a6b8d72840b1d915572c81a04868976f5.zip
My initial commit of a qt4 eclass (highly mirrored off of qt3)
Diffstat (limited to 'eclass/qt4.eclass')
-rw-r--r--eclass/qt4.eclass50
1 files changed, 50 insertions, 0 deletions
diff --git a/eclass/qt4.eclass b/eclass/qt4.eclass
new file mode 100644
index 000000000000..1101d2af2e5a
--- /dev/null
+++ b/eclass/qt4.eclass
@@ -0,0 +1,50 @@
+# Copyright 2005 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/eclass/qt4.eclass,v 1.1 2005/11/17 13:48:46 caleb Exp $
+#
+# Author Caleb Tennis <caleb@gentoo.org>
+#
+# This eclass is simple. Inherit it, and in your depend, do something like this:
+#
+# DEPEND="$(qt_min_version 4)"
+#
+# and it handles the rest for you
+#
+
+inherit versionator
+
+QTPKG="x11-libs/qt-"
+QT4MAJORVERSIONS="4.1 4.0"
+QT4VERSIONS="4.0.1 4.0.0"
+
+qt_min_version() {
+ echo "|| ("
+ qt_min_version_list "$@"
+ echo ")"
+}
+
+qt_min_version_list() {
+ local MINVER="$1"
+ local VERSIONS=""
+
+ case "${MINVER}" in
+ 4|4.0|4.0.0) VERSIONS="=${QTPKG}4*";;
+ 4.1|4.1.0)
+ for x in ${QT4MAJORVERSIONS}; do
+ if $(version_is_at_least "${MINVER}" "${x}"); then
+ VERSIONS="${VERSIONS} =${QTPKG}${x}*"
+ fi
+ done
+ ;;
+ 4*)
+ for x in ${QT4VERSIONS}; do
+ if $(version_is_at_least "${MINVER}" "${x}"); then
+ VERSIONS="${VERSIONS} =${QTPKG}${x}"
+ fi
+ done
+ ;;
+ *) VERSIONS="=${QTPKG}4*";;
+ esac
+
+ echo "${VERSIONS}"
+}